files += tp_player-ndacremont_meyben/README.md
files += tp_player-ndacremont_meyben/scrum.pt
files += tp_player-ndacremont_meyben/plays-8x8.json
files += tp_player-ndacremont_meyben/localGame.py
files += tp_player-ndacremont_meyben/namedGame.py
files += tp_player-ndacremont_meyben/Goban.py
files += tp_player-ndacremont_meyben/myPlayer.py
files += tp_player-ndacremont_meyben/moveSearch.py
files += tp_player-ndacremont_meyben/playerInterface.py
files += tp_player-ndacremont_meyben/requirements.txt

.PHONY += all
all: tp_player-ndacremont_meyben.tar.gz

tp_player-ndacremont_meyben.tar.gz: $(files)
	tar -cvzf $@ $^

tp_player-ndacremont_meyben/%: %
	@mkdir -p $(dir $@)
	cp $^ $@

.PHONY += clean
clean:
	$(RM) -r tp_player-ndacremont_meyben tp_player-ndacremont_meyben.tar.gz


.PHONY: $(PHONY)
